Retrieve the list of payouts for a account.

http
GET https://services.leadconnectorhq.com/affiliate-manager/{locationId}/payouts

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id

Query parameters

NameTypeRequiredExampleDescription
statusstringNopendingPayout status
querystringNojohnquery
affiliateIdstringNo65df04201e428a0c5ebb6572Affiliate Id
campaignIdstringNo65df04201e428a0c5ebb6573Campaign Id
skipnumberNo1
limitnumberNo10
startstringNo2022-12-01T00:00:00.000Z
endstringNo2022-12-31T23:59:59.999Z

Responses

200 - Successful response
  • payouts (object[], required): Payout list

    • _id (string, required): Payout id Example: 65df04201e428a0c5ebb6571

    • locationId (string, required): Account id Example: ve9EPM428h8vShlRW1KT

    • affiliateId (string, required): Affiliate id Example: 65df04201e428a0c5ebb6572

    • campaignId (string): Campaign id Example: 65df04201e428a0c5ebb6573

    • currency (string, required): Payout currency Example: USD

    • amount (number, required): Payout amount Example: 150

    • status (string): Payout status Example: pending

    • payoutMonth (string): Payout month Example: 2024-06-01T00:00:00.000Z

    • dueAt (string): Payout due date Example: 2024-06-30T00:00:00.000Z

    • paidAt (string): Payout paid date Example: 2024-06-30T00:00:00.000Z

    • paidMeta (object): Payout metadata

    • paidMethod (string): Payout paid method Example: manual

    • altId (string): Alternate id Example: alt_123

    • deleted (boolean): Whether the payout is deleted Example: False

    • isMigrated (boolean): Whether the payout is migrated Example: False

    • createdAt (string): Created at timestamp Example: 2024-06-16T00:00:00.000Z

    • updatedAt (string): Updated at timestamp Example: 2024-06-17T00:00:00.000Z

    • campaign (string): Campaign name Example: Summer Promo

    • affiliateName (string): Affiliate display name Example: John Doe

    • affiliateEmail (string): Affiliate email Example: john.doe@example.com

    • payoutMethod (string): Primary payout method Example: paypal

    • affiliate (object): Affiliate details

  • meta (object): Pagination metadata

json
{
  "payouts": [
    {
      "_id": "65df04201e428a0c5ebb6571",
      "locationId": "ve9EPM428h8vShlRW1KT",
      "affiliateId": "65df04201e428a0c5ebb6572",
      "campaignId": "65df04201e428a0c5ebb6573",
      "currency": "USD",
      "amount": 150,
      "status": "pending",
      "payoutMonth": "2024-06-01T00:00:00.000Z",
      "dueAt": "2024-06-30T00:00:00.000Z",
      "paidAt": "2024-06-30T00:00:00.000Z",
      "paidMeta": {},
      "paidMethod": "manual",
      "altId": "alt_123",
      "deleted": false,
      "isMigrated": false,
      "createdAt": "2024-06-16T00:00:00.000Z",
      "updatedAt": "2024-06-17T00:00:00.000Z",
      "campaign": "Summer Promo",
      "affiliateName": "John Doe",
      "affiliateEmail": "john.doe@example.com",
      "payoutMethod": "paypal"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/payouts' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?